Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseWtp

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseWtp

    class EclipseWtp

Enables fine-tuning wtp/wst details of the Eclipse plugin

More interesting examples you will find in docs for EclipseWtpComponent and EclipseWtpFacet

     apply plugin: 'java'
     apply plugin: 'war'
     apply plugin: 'eclipse-wtp'

     eclipse {

       //if you want parts of paths in resulting file(s) to be replaced by variables (files):
       pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

       wtp {
         component {
           //for examples see docs for EclipseWtpComponent
         }

         facet {
           //for examples see docs for EclipseWtpFacet
         }
       }
     }

Property Summary
`EclipseWtpComponent` | `component` Configures wtp component.
`EclipseWtpFacet` | `facet` Configures wtp facet.

Constructor Summary
`EclipseWtp()` Deprecated.
`EclipseWtp(EclipseClasspath eclipseClasspath)` @param eclipseClasspath - wtp needs access to classpath

Method Summary
`void` | `component(Closure action)` Configures wtp component.
`void` | `facet(Closure action)` Configures wtp facet.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### component

    EclipseWtpComponent component

  Configures wtp component.

  For examples see docs for EclipseWtpComponent

### facet

    EclipseWtpFacet facet

  Configures wtp facet.

  For examples see docs for EclipseWtpFacet

Constructor Detail

### EclipseWtp

    @Deprecated
    EclipseWtp()

  Deprecated. EclipseWtp needs access to EclipseClasspath. Please use the other constructor.

### EclipseWtp

    EclipseWtp(EclipseClasspath eclipseClasspath)

  Parameters:
    `eclipseClasspath` - - wtp needs access to classpath

Method Detail

### component

    void component(Closure action)

  Configures wtp component.

  For examples see docs for EclipseWtpComponent

  Parameters:
    action

### facet

    void facet(Closure action)

  Configures wtp facet.

  For examples see docs for EclipseWtpFacet

  Parameters:
    action

Gradle API 1.10